Get Pipelines
http
GET https://services.leadconnectorhq.com/opportunities/pipelinesAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | ve9EPM428h8vShlRW1KT |
Responses
200 - Successful response
pipelines(object[])id(string): Example:aWdODOBVOlH1RUFKWQkename(string): Example:new pipelinestages(array[])showInFunnel(boolean): Example:FalseshowInPieChart(boolean): Example:TruelocationId(string): Example:dsjddjkndadqajacolorRenderMode(string): How pipeline/stage colors are rendered Possible values: 'dot', 'bg-tint', 'none'
json
{
"pipelines": [
{
"id": "aWdODOBVOlH1RUFKWQke",
"name": "new pipeline",
"stages": [
[]
],
"showInFunnel": false,
"showInPieChart": true,
"locationId": "dsjddjkndadqaja",
"colorRenderMode": "dot"
}
]
}400 - Bad Request
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/opportunities/pipelines' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/opportunities/pipelines', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/opportunities/pipelines',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/opportunities/pipelines');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);